import React from 'react'
import './style.scss'
import {
  Button,
  IconButton,
  Card, CardTitle, CardText, CardActions, CardMenu
} from 'react-mdl'


export default class CarmelComponent extends React.Component {

  renderLatest() {
    const videos = this.props.videos
    var elements = []

    videos.forEach(video => {
      elements.push(this.renderVideo(video))
    })

    return elements
  }

  renderVideo(video) {
    return (<div key={video.id} styleName="video">
      <iframe src={`https://www.youtube.com/embed/${video.id}`} frameBorder="0" allowFullScreen></iframe>
    </div>)
  }

  render () {
    return (
      <div styleName="container">
        <div styleName="content">
          { this.renderLatest() }
        </div>
      </div>)
  }
}
